## org.eclipse.datatools.modelbase.dbdefinition
Interface StoredProcedureDefinition

All Known Implementing Classes:
  StoredProcedureDefinitionImpl

public interface StoredProcedureDefinition

A representation of the model object 'Stored Procedure Definition'.

The following features are supported:

- `Null Input Action Supported`
- `Package Generation Supported`
- `Determininstic Supported`
- `Returned Null Supported`
- `Returned Type Declaration Constraint Supported`
- `Parameter Init Value Supported`
- `Parameter Style Supported`
- `Return Type Supported`
- `Parameter Declaration Constraint Supported`
- `Maximum Action Body Length`
- `Parameter Style`
- `Language Type`
- `Function Language Type`
- `Procedure Type`
- `Maximum Identifier Length`

See Also:
  `DatabaseDefinitionPackage.getStoredProcedureDefinition()`

Method Summary
`EList` `getFunctionLanguageType()` Returns the value of the 'Function Language Type' attribute list.
`EList` `getLanguageType()` Returns the value of the 'Language Type' attribute list.
`int` `getMaximumActionBodyLength()` Returns the value of the 'Maximum Action Body Length' attribute.
`int` `getMaximumIdentifierLength()` Returns the value of the 'Maximum Identifier Length' attribute.
`EList` `getParameterStyle()` Returns the value of the 'Parameter Style' attribute list.
`EList` `getProcedureType()` Returns the value of the 'Procedure Type' attribute list.
`boolean` `isDetermininsticSupported()` Returns the value of the 'Determininstic Supported' attribute.
`boolean` `isNullInputActionSupported()` Returns the value of the 'Null Input Action Supported' attribute.
`boolean` `isPackageGenerationSupported()` Returns the value of the 'Package Generation Supported' attribute.
`boolean` `isParameterDeclarationConstraintSupported()` Returns the value of the 'Parameter Declaration Constraint Supported' attribute.
`boolean` `isParameterInitValueSupported()` Returns the value of the 'Parameter Init Value Supported' attribute.
`boolean` `isParameterStyleSupported()` Returns the value of the 'Parameter Style Supported' attribute.
`boolean` `isReturnedNullSupported()` Returns the value of the 'Returned Null Supported' attribute.
`boolean` `isReturnedTypeDeclarationConstraintSupported()` Returns the value of the 'Returned Type Declaration Constraint Supported' attribute.
`boolean` `isReturnTypeSupported()` Returns the value of the 'Return Type Supported' attribute.
`void` `setDetermininsticSupported(boolean value)` Sets the value of the '`Determininstic Supported`' attribute.
`void` `setMaximumActionBodyLength(int value)` Sets the value of the '`Maximum Action Body Length`' attribute.
`void` `setMaximumIdentifierLength(int value)` Sets the value of the '`Maximum Identifier Length`' attribute.
`void` `setNullInputActionSupported(boolean value)` Sets the value of the '`Null Input Action Supported`' attribute.
`void` `setPackageGenerationSupported(boolean value)` Sets the value of the '`Package Generation Supported`' attribute.
`void` `setParameterDeclarationConstraintSupported(boolean value)` Sets the value of the '`Parameter Declaration Constraint Supported`' attribute.
`void` `setParameterInitValueSupported(boolean value)` Sets the value of the '`Parameter Init Value Supported`' attribute.
`void` `setParameterStyleSupported(boolean value)` Sets the value of the '`Parameter Style Supported`' attribute.
`void` `setReturnedNullSupported(boolean value)` Sets the value of the '`Returned Null Supported`' attribute.
`void` `setReturnedTypeDeclarationConstraintSupported(boolean value)` Sets the value of the '`Returned Type Declaration Constraint Supported`' attribute.
`void` `setReturnTypeSupported(boolean value)` Sets the value of the '`Return Type Supported`' attribute.

Method Detail

### isNullInputActionSupported

    public boolean isNullInputActionSupported()

  Returns the value of the 'Null Input Action Supported' attribute.

  If the meaning of the 'Null Input Action Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Null Input Action Supported' attribute.
  See Also:
    `setNullInputActionSupported(boolean)`, `DatabaseDefinitionPackage.getStoredProcedureDefinition_NullInputActionSupported()`

### setNullInputActionSupported

    public void setNullInputActionSupported(boolean value)

  Sets the value of the '`Null Input Action Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Null Input Action Supported' attribute.
  See Also:
    `isNullInputActionSupported()`

### isPackageGenerationSupported

    public boolean isPackageGenerationSupported()

  Returns the value of the 'Package Generation Supported' attribute.

  If the meaning of the 'Package Generation Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Package Generation Supported' attribute.
  See Also:
    `setPackageGenerationSupported(boolean)`, `DatabaseDefinitionPackage.getStoredProcedureDefinition_PackageGenerationSupported()`

### setPackageGenerationSupported

    public void setPackageGenerationSupported(boolean value)

  Sets the value of the '`Package Generation Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Package Generation Supported' attribute.
  See Also:
    `isPackageGenerationSupported()`

### isDetermininsticSupported

    public boolean isDetermininsticSupported()

  Returns the value of the 'Determininstic Supported' attribute.

  If the meaning of the 'Determininstic Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Determininstic Supported' attribute.
  See Also:
    `setDetermininsticSupported(boolean)`, `DatabaseDefinitionPackage.getStoredProcedureDefinition_DetermininsticSupported()`

### setDetermininsticSupported

    public void setDetermininsticSupported(boolean value)

  Sets the value of the '`Determininstic Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Determininstic Supported' attribute.
  See Also:
    `isDetermininsticSupported()`

### isReturnedNullSupported

    public boolean isReturnedNullSupported()

  Returns the value of the 'Returned Null Supported' attribute.

  If the meaning of the 'Returned Null Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Returned Null Supported' attribute.
  See Also:
    `setReturnedNullSupported(boolean)`, `DatabaseDefinitionPackage.getStoredProcedureDefinition_ReturnedNullSupported()`

### setReturnedNullSupported

    public void setReturnedNullSupported(boolean value)

  Sets the value of the '`Returned Null Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Returned Null Supported' attribute.
  See Also:
    `isReturnedNullSupported()`

### isReturnedTypeDeclarationConstraintSupported

    public boolean isReturnedTypeDeclarationConstraintSupported()

  Returns the value of the 'Returned Type Declaration Constraint Supported' attribute.

  If the meaning of the 'Returned Type Declaration Constraint Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Returned Type Declaration Constraint Supported' attribute.
  See Also:
    `setReturnedTypeDeclarationConstraintSupported(boolean)`, `DatabaseDefinitionPackage.getStoredProcedureDefinition_ReturnedTypeDeclarationConstraintSupported()`

### setReturnedTypeDeclarationConstraintSupported

    public void setReturnedTypeDeclarationConstraintSupported(boolean value)

  Sets the value of the '`Returned Type Declaration Constraint Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Returned Type Declaration Constraint Supported' attribute.
  See Also:
    `isReturnedTypeDeclarationConstraintSupported()`

### isParameterInitValueSupported

    public boolean isParameterInitValueSupported()

  Returns the value of the 'Parameter Init Value Supported' attribute.

  If the meaning of the 'Parameter Init Value Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parameter Init Value Supported' attribute.
  See Also:
    `setParameterInitValueSupported(boolean)`, `DatabaseDefinitionPackage.getStoredProcedureDefinition_ParameterInitValueSupported()`

### setParameterInitValueSupported

    public void setParameterInitValueSupported(boolean value)

  Sets the value of the '`Parameter Init Value Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Parameter Init Value Supported' attribute.
  See Also:
    `isParameterInitValueSupported()`

### isParameterStyleSupported

    public boolean isParameterStyleSupported()

  Returns the value of the 'Parameter Style Supported' attribute.

  If the meaning of the 'Parameter Style Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parameter Style Supported' attribute.
  See Also:
    `setParameterStyleSupported(boolean)`, `DatabaseDefinitionPackage.getStoredProcedureDefinition_ParameterStyleSupported()`

### setParameterStyleSupported

    public void setParameterStyleSupported(boolean value)

  Sets the value of the '`Parameter Style Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Parameter Style Supported' attribute.
  See Also:
    `isParameterStyleSupported()`

### isReturnTypeSupported

    public boolean isReturnTypeSupported()

  Returns the value of the 'Return Type Supported' attribute.

  If the meaning of the 'Return Type Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Return Type Supported' attribute.
  See Also:
    `setReturnTypeSupported(boolean)`, `DatabaseDefinitionPackage.getStoredProcedureDefinition_ReturnTypeSupported()`

### setReturnTypeSupported

    public void setReturnTypeSupported(boolean value)

  Sets the value of the '`Return Type Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Return Type Supported' attribute.
  See Also:
    `isReturnTypeSupported()`

### isParameterDeclarationConstraintSupported

    public boolean isParameterDeclarationConstraintSupported()

  Returns the value of the 'Parameter Declaration Constraint Supported' attribute.

  If the meaning of the 'Parameter Declaration Constraint Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parameter Declaration Constraint Supported' attribute.
  See Also:
    `setParameterDeclarationConstraintSupported(boolean)`, `DatabaseDefinitionPackage.getStoredProcedureDefinition_ParameterDeclarationConstraintSupported()`

### setParameterDeclarationConstraintSupported

    public void setParameterDeclarationConstraintSupported(boolean value)

  Sets the value of the '`Parameter Declaration Constraint Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Parameter Declaration Constraint Supported' attribute.
  See Also:
    `isParameterDeclarationConstraintSupported()`

### getMaximumActionBodyLength

    public int getMaximumActionBodyLength()

  Returns the value of the 'Maximum Action Body Length' attribute.

  If the meaning of the 'Maximum Action Body Length' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Maximum Action Body Length' attribute.
  See Also:
    `setMaximumActionBodyLength(int)`, `DatabaseDefinitionPackage.getStoredProcedureDefinition_MaximumActionBodyLength()`

### setMaximumActionBodyLength

    public void setMaximumActionBodyLength(int value)

  Sets the value of the '`Maximum Action Body Length`' attribute.

  Parameters:
    `value` - the new value of the 'Maximum Action Body Length' attribute.
  See Also:
    `getMaximumActionBodyLength()`

### getParameterStyle

    public EList getParameterStyle()

  Returns the value of the 'Parameter Style' attribute list. The list contents are of type `ParameterStyle`. The literals are from the enumeration `ParameterStyle`.

  If the meaning of the 'Parameter Style' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parameter Style' attribute list.
  See Also:
    `ParameterStyle`, `DatabaseDefinitionPackage.getStoredProcedureDefinition_ParameterStyle()`

### getLanguageType

    public EList getLanguageType()

  Returns the value of the 'Language Type' attribute list. The list contents are of type `LanguageType`. The literals are from the enumeration `LanguageType`.

  If the meaning of the 'Language Type' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Language Type' attribute list.
  See Also:
    `LanguageType`, `DatabaseDefinitionPackage.getStoredProcedureDefinition_LanguageType()`

### getFunctionLanguageType

    public EList getFunctionLanguageType()

  Returns the value of the 'Function Language Type' attribute list. The list contents are of type `LanguageType`. The literals are from the enumeration `LanguageType`.

  If the meaning of the 'Function Language Type' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Function Language Type' attribute list.
  See Also:
    `LanguageType`, `DatabaseDefinitionPackage.getStoredProcedureDefinition_FunctionLanguageType()`

### getProcedureType

    public EList getProcedureType()

  Returns the value of the 'Procedure Type' attribute list. The list contents are of type `ProcedureType`. The literals are from the enumeration `ProcedureType`.

  If the meaning of the 'Procedure Type' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Procedure Type' attribute list.
  See Also:
    `ProcedureType`, `DatabaseDefinitionPackage.getStoredProcedureDefinition_ProcedureType()`

### getMaximumIdentifierLength

    public int getMaximumIdentifierLength()

  Returns the value of the 'Maximum Identifier Length' attribute.

  If the meaning of the 'Maximum Identifier Length' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Maximum Identifier Length' attribute.
  See Also:
    `setMaximumIdentifierLength(int)`, `DatabaseDefinitionPackage.getStoredProcedureDefinition_MaximumIdentifierLength()`

### setMaximumIdentifierLength

    public void setMaximumIdentifierLength(int value)

  Sets the value of the '`Maximum Identifier Length`' attribute.

  Parameters:
    `value` - the new value of the 'Maximum Identifier Length' attribute.
  See Also:
    `getMaximumIdentifierLength()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.